oracle.pg.hbase

## Class OraclePropertyGraphDataLoader

- java.lang.Object
- - oracle.pg.hbase.OraclePropertyGraphDataLoader

- All Implemented Interfaces:
    MesgConsts

      public class OraclePropertyGraphDataLoader
      extends Object
      implements MesgConsts

  This class implements logic to execute parallel data loading of a property graph (in Oracle-defined flat files format) into Apache HBase

- - ### Field Summary

    - ### Fields inherited from interface oracle.pg.common.MesgConsts

      `ERR_ARG_CANNOT_BE_NULL, ERR_CODE_NOT_IN_LIST, ERR_DOP_CONSTRAINT, ERR_E_DS_MUSTBE_FILE_OR_IS, ERR_E_MAX_LINE_CONSTRAINT, ERR_EDGE_DIR_NOT_BOTH, ERR_GRAPH_NAME_CANT_BENULL, ERR_HIT_EXCEPTION, ERR_HIT_INTERRUPT, ERR_HIT_IO, ERR_HIT_OPGE, ERR_HIT_PARSEE, ERR_ID_CANNOT_BE_NULL, ERR_IDX_KEY_CANNOT_BE_NULL, ERR_IN_DS_EDGE_CANTBE_NULL, ERR_IN_DS_VERT_CANTBE_NULL, ERR_IN_E_FLAT_DOESNT_EXIST, ERR_IN_V_FLAT_DOESNT_EXIST, ERR_INVALID_NUM_FIELDS, ERR_INVALID_NUM_NOARG, ERR_INVALID_NUMBER, ERR_INVALID_VAL, ERR_KEY_CANNOT_BE_ID, ERR_KEY_CANNOT_BE_NULL, ERR_KEY_NOT_SET_TO, ERR_NO_ELEM_TO_BE_CONSUMED, ERR_NO_OP_SUPPORTED, ERR_NOT_IMPLEMENTED_YET, ERR_NOT_ORACLE_V_E, ERR_NUM_PART_CONSTRAINT, ERR_OFFSET_CONSTRAINT, ERR_OFFSET_E_MUST_BE_POS, ERR_OFFSET_V_MUST_BE_POS, ERR_PG_ALREADY_EXISTS, ERR_PG_NOT_EMPTY, ERR_SIZE_MUST_BE_POS, ERR_TIMEOUT_TAB_CREATION, ERR_TYPE_ID_NOT_RECO, ERR_UNSUPPORTED_VAL_TYP, ERR_USER_REQ_OP_CANCEL, ERR_V_DS_MUSTBE_FILE_OR_IS, ERR_V_MAX_LINE_CONSTRAINT, ERR_VALUE_CANNOT_BE_NULL, INFO_EMP_K_NO_P_VAL, INFO_NUL_K_NO_P_VAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OraclePropertyGraphDataLoader` | `getInstance()` Returns an instance of OraclePropertyGraphDataLoader
    `void` | `loadData(OraclePropertyGraph opg, InputStream[] iaVertex, InputStream[] iaEdge, int iDop)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream[] iaVertex, InputStream[] iaEdge, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream[] iaVertex, InputStream[] iaEdge, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream[] iaVertex, InputStream[] iaEdge, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream[] iaVertex, InputStream[] iaEdge, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream isVertex, InputStream isEdge, int iDop)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream isVertex, InputStream isEdge, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream isVertex, InputStream isEdge, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream isVertex, InputStream isEdge, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, InputStream isVertex, InputStream isEdge, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String[] saVertexFlatFileName, String[] saEdgeFlatFileName, int iDop)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String[] saVertexFlatFileName, String[] saEdgeFlatFileName, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String[] saVertexFlatFileName, String[] saEdgeFlatFileName, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String[] saVertexFlatFileName, String[] saEdgeFlatFileName, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String[] saVertexFlatFileName, String[] saEdgeFlatFileName, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String szVertexFlatFileName, String szEdgeFlatFileName, int iDop)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String szVertexFlatFileName, String szEdgeFlatFileName, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String szVertexFlatFileName, String szEdgeFlatFileName, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String szVertexFlatFileName, String szEdgeFlatFileName, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `loadData(OraclePropertyGraph opg, String szVertexFlatFileName, String szEdgeFlatFileName, long lVertexSrcOffsetlines, long lEdgeSrcOffsetlines, long lVertexSrcMaxlines, long lEdgeSrcMaxlines, int iDop, int iPartitions, int iOffset, DataLoaderListener dll)` This method parallel loads a property graph into the given OraclePropertyGraph instance.
    `void` | `setBatchSizeToDebug(long size)` Set the batch size to show debug information

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static OraclePropertyGraphDataLoader getInstance()

      Returns an instance of OraclePropertyGraphDataLoader

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream[] iaVertex,
                      InputStream[] iaEdge,
                      int iDop)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `iaVertex` - an array of input streams of vertices
        `iaEdge` - an array of input streams of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream[] iaVertex,
                      InputStream[] iaEdge,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `iaVertex` - an array of input streams of vertices
        `iaEdge` - an array of input streams of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream[] iaVertex,
                      InputStream[] iaEdge,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `iaVertex` - an array of input streams of vertices
        `iaEdge` - an array of input streams of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream[] iaVertex,
                      InputStream[] iaEdge,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `iaVertex` - an array of input streams of vertices
        `iaEdge` - an array of input streams of edges
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream[] iaVertex,
                      InputStream[] iaEdge,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `iaVertex` - an array of input streams of vertices
        `iaEdge` - an array of input streams of edges
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream isVertex,
                      InputStream isEdge,
                      int iDop)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `isVertex` - an input stream of vertices
        `isEdge` - an input stream of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream isVertex,
                      InputStream isEdge,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `isVertex` - an input stream of vertices
        `isEdge` - an input stream of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream isVertex,
                      InputStream isEdge,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `isVertex` - an input stream of vertices
        `isEdge` - an input stream of edges
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream isVertex,
                      InputStream isEdge,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `isVertex` - an input stream of vertices
        `isEdge` - an input stream of edges
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      InputStream isVertex,
                      InputStream isEdge,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `isVertex` - an input stream of vertices
        `isEdge` - an input stream of edges
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String[] saVertexFlatFileName,
                      String[] saEdgeFlatFileName,
                      int iDop)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `saVertexFlatFileName` - an array of vertex flat files
        `saEdgeFlatFileName` - an array of edge flat files
        `iDop` - degree of parallelism. It has to be a positive integer.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String[] saVertexFlatFileName,
                      String[] saEdgeFlatFileName,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `saVertexFlatFileName` - an array of vertex flat files
        `saEdgeFlatFileName` - an array of edge flat files
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String[] saVertexFlatFileName,
                      String[] saEdgeFlatFileName,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `saVertexFlatFileName` - an array of vertex flat files
        `saEdgeFlatFileName` - an array of edge flat files
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String[] saVertexFlatFileName,
                      String[] saEdgeFlatFileName,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `saVertexFlatFileName` - an array of vertex flat files
        `saEdgeFlatFileName` - an array of edge flat files
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String[] saVertexFlatFileName,
                      String[] saEdgeFlatFileName,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `saVertexFlatFileName` - an array of vertex flat files
        `saEdgeFlatFileName` - an array of edge flat files
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String szVertexFlatFileName,
                      String szEdgeFlatFileName,
                      int iDop)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `szVertexFlatFileName` - the name of the vertex flat file
        `szEdgeFlatFileName` - the name of the edge flat file
        `iDop` - degree of parallelism. It has to be a positive integer.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String szVertexFlatFileName,
                      String szEdgeFlatFileName,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `szVertexFlatFileName` - the name of the vertex flat file
        `szEdgeFlatFileName` - the name of the edge flat file
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String szVertexFlatFileName,
                      String szEdgeFlatFileName,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `szVertexFlatFileName` - the name of the vertex flat file
        `szEdgeFlatFileName` - the name of the edge flat file
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String szVertexFlatFileName,
                      String szEdgeFlatFileName,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `szVertexFlatFileName` - the name of the vertex flat file
        `szEdgeFlatFileName` - the name of the edge flat file
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### loadData

          public void loadData(OraclePropertyGraph opg,
                      String szVertexFlatFileName,
                      String szEdgeFlatFileName,
                      long lVertexSrcOffsetlines,
                      long lEdgeSrcOffsetlines,
                      long lVertexSrcMaxlines,
                      long lEdgeSrcMaxlines,
                      int iDop,
                      int iPartitions,
                      int iOffset,
                      DataLoaderListener dll)
                        throws OraclePropertyGraphException

      This method parallel loads a property graph into the given OraclePropertyGraph instance.
      Parameters:
        `opg` - an instance of OraclePropertyGraph
        `szVertexFlatFileName` - the name of the vertex flat file
        `szEdgeFlatFileName` - the name of the edge flat file
        `lVertexSrcOffsetlines` - the line offset of vertices. Loading vertices after the offset. Default is 0.
        `lEdgeSrcOffsetlines` - the line offset of edges. Loading edges after the offset. Default is 0.
        `lVertexSrcMaxlines` - the max lines of vertices to be loaded. Default is -1 (i.e., load all vertices)
        `lEdgeSrcMaxlines` - the max lines of edges to be loaded. Default is -1 (i.e., load all edges)
        `iDop` - degree of parallelism. It has to be a positive integer.
        `iPartitions` - number of partitions (i.e., data loading clients)
        `iOffset` - offset of partitions. It is from 0 to iPartitions-1
        `dll` - an instance of DataLoaderListener that can be used to report progress and control the loading process when an error occurs. It can be NULL.
      Throws:
        `OraclePropertyGraphException`

    - #### setBatchSizeToDebug

          public void setBatchSizeToDebug(long size)

      Set the batch size to show debug information
      Parameters:
        `size` - the batch size that has a default value of 10000

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.